body {
  text-align: center;
  font-size: 1rem;
  overflow-x: hidden;  /* Prevent scroll on narrow devices */
}

.m-8 {
  margin: 8px;
}

body.files-list {
  padding-top: 56px;
}

form {
  text-align: left;
  width: 100%;
  max-width: 330px;
  padding-top: 15px;
  margin: auto;
}

h1 {
  line-height: 1.8;
  font-size: 2.0rem;
  color: #475a6e;
}

p {
  font-size: 1.1rem;
}

hr {
  border-top: 1px solid #d4d6d9;
}

.password-content {
  margin-top: 90px;
  padding: 10px;
}

.logo {
  height: 110px;
}

.logo-small {
  height: 40px;
  margin: 0px auto;
}

.icon-folder-locked {
  height: 80px;
  margin: 20px auto;
}

.icon-folder {
  height: 45px;
  width: 48px;
  padding-top: 5px;
}

.icon {
  position: absolute;
}

#icon-person {
  font-size:  1.4rem;
  margin: -2px 6px;
}

#icon-lock {
  font-size: 1.6rem;
  margin: -2px 7px;
  color: #2f3c4a;
}

.input-text {
  width: 100%;
  height: 40px;
  padding-left: 35px;
  margin-bottom: 8px;
}

.submit {
  margin-top: 20px;
}

.custom-modal-open {
  overflow: hidden;
}

.custom-modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}

#protectedFile .modal-asset {
  max-width: 600px;
  border: 1px solid #808080;
}

#pwdModal .modal-body {
  word-spacing: 0.5rem;
}

#permissionModal .modal-body {
  text-align: left;
}

.modal-asset {
  width: 100%;
  height: 100%;
  margin: 4px;
}

main {
  max-width: 1000px;
  margin: 0px auto;
}

div.flex-container {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.col-logo {
  flex: 0 0 60px;
}

.col-label {
  flex: 1 1 auto;
}

.col-badge {
  flex: 0 0 auto;
}

.flex-container div div {
  height:75px;
  font-size: 1.3rem;
  line-height: 1.2;
  text-align: left;
  border-bottom: 1px solid #e0e0e0;
  display: flex;
  flex-direction: column;
  justify-content:center;
}

footer {
  margin: 30px 0px 15px 0px;
  font-size: 0.8rem;
}

nav.navbar {
  min-height: 76px;
}

/*.header {
  line-height: 3rem;
  margin-right: 1px;
}*/

.sub-header {
  background-color: #b4bcc5;
  padding: 10px 17px;
  font-size: 1.2rem;
  text-align: left;
  margin: 20px 0px auto;
}

.sub-header div {
  max-width: 480px;
  margin: 0px auto;
}

.sub-header .h6 {
  font-size: 1rem;
  color: #475a6e;
}

.sub-header .h5 {
  font-size: 1.3rem;
  line-height: 1.6rem;
  margin: 0px!important;
  color: #2f3c4a;
}

.sub-header .sub-header-icon {
  flex: 0 0 58px;
  justify-content: center;
  display: flex;
  flex-direction: column;
}

.sub-header .sub-header-label {
  flex: 1 1 auto;
  justify-content: center;
  display: flex;
  flex-direction: column;
  margin: 3px 0px;
}

#btn-nav-bottom {
  max-width: 300px;
  margin: 10px auto;
  border: 1px solid #c4c4c4;
}

.icon-40 {
  height: 40px;
}

.icon-30 {
  height: 30px;
  margin-right: 7px;
}

.icon-person {
  font-size: 1.3rem;
}

.input-label {
  display: block;
  font-weight: 700;
  padding-left: 4px;
}

.case-list {

}

.case-item {
  /*width: 100%;
  height: 75px;
  display: flex;
  */
}

.case-item:active {
  background-color: #dddddd;
}

.case-item i {
  font-size: 2.2rem;
  color: #343a40;
}

.list-header {
  /*height: 35px;*/
}

.list-header-label {
  font-size: 1.3rem;
  font-weight: 600;
  height: 35px;
}

.file-logo {
  /*width: 75px;
  text-align: right!important;*/
  padding: 0px 15px;
}

.file-label {
  /*flex: 1 1 auto;
  margin: auto 0px;
  font-size: 1.3rem;*/
}

.file-badge {
  width: 95px;
  /*flex: 0 0 auto;
  margin: auto 10px auto 0px;
  font-size: 1.1rem;*/
}

.file-badge span {
  /*width: 100%;*/
  font-size: 0.9rem;
  font-weight: 500;
  color: #565656;
  margin-right: 10px;
}

/*
@media (min-width: 768px) {
    .file-badge {
      margin: auto 10px auto 80px;
    }
}

@media (min-width: 870px) {
    .file-badge {
      margin: auto 10px auto 120px;
    }
}*/

.file-date {
  text-align: right;
}

.link-file, .link-file:hover, .link-file:active {
    color: #212529;
    text-decoration: none;
    background-color: transparent;
}

.profile {
  padding: 3px;
}

.profile-img {
  width: 50px;
  height: 50px;
}

.profile span {
  margin: 0px 10px;
}

.navbar-brand {
  margin: 0px auto;
}

@media (max-width: 767.98px) {
  .profile {
    border-bottom: #f8f9fa 1px solid;
    padding-bottom: 10px;
  }

  #navbar {
    padding-top: 10px;
  }
}

#navbar div, #navbar .nav-link {
  color: white;
  font-size: 1.3rem;
}

#navbar .btn {
  font-size:1.25rem;
  max-width: 300px;
  margin: auto;
}

.bg-light-grey {
  background-color: #ececec;
}

.bg-light-red {
  background-color: #e25f6c;
}

.bg-dark-grey {
  background-color: #343a40;
}

.bg-navy {
  background-color: #475a6e;
}

.btn-navy {
    color: #fff;
    background-color: #475a6e;
    border-color: #475a6e;
}

.text-red {
  color: #e25f6c!important;
}



@media (max-width: 370px) {
    .h4 {
      font-size: 1.25rem!important;
    }

    .header {
      /*height: 60px;*/
    }

    .file-label {
      font-size:1.1rem!important;
    }

    .list-header-label {
      font-size:1.2rem!important;
    }

    .subheader {
      font-size: 1rem!important;
    }
}

/* Offcanvas*/

@media (max-width: 767.98px) {
  .offcanvas-collapse {
    position: fixed;
    top: 75px; /* Height of navbar */
    bottom: 0;
    left: 100%;
    width: 100%;
    padding-right: 1rem;
    padding-left: 1rem;
    overflow-y: auto;
    visibility: hidden;
    background-color: #8495a6;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out;
  }
  .offcanvas-collapse.open {
    visibility: visible;
    transform: translateX(-100%);
  }
}

@media (min-width: 768px) {
  .navbar-expand-md .navbar-collapse {
    justify-content: flex-end;
  }
}

.nav-underline .nav-link {
  padding-top: .75rem;
  padding-bottom: .75rem;
  font-size: .875rem;
  color: #6c757d;
}

.nav-underline .nav-link:hover {
  color: #007bff;
}

.nav-underline .active {
  font-weight: 500;
  color: #343a40;
}

/* Impressum */

.impressum {
  margin-top: 80px;
  font-size: 1rem;
}

footer a {
  color: #212529;
}


.impressum h1 {
  color: #212529;
}

.bottom-footer {
  position: absolute;
  bottom: 0px;
  width: 100%;
}
